<?php

namespace STM\Prediction\Chart;

use \Exception;
use STM\Match\MatchSelection;

/**
 * Test class for PredictionChart.
 * Generated by PHPUnit on 2011-12-03 at 15:53:15.
 * @group prediction
 */
class PredictionChartTest extends \PHPUnit_Framework_TestCase {

    private $bad_values;

    protected function setUp() {
        $this->bad_values = array('dsadas', null, false, array(), new Exception(), 55, 0);
    }

    protected function tearDown() {}

    public function testFind_by_match_selection() {
        $ms = getMatchSelection(MatchSelection::ALL_MATCHES);
        $ms['dates'] = array('min' => 'now - 20 years', 'max' => 'now + 20 years');
        
        $selection = new PredictionChartSelection();
        $selection->setCalculator(new PredictionCalculator());
        $selection->setMatchSelection($ms);
        $this->assertTrue(PredictionChart::find($selection) instanceof PredictionChart);
    }

}

?>
